import Vue from 'vue'
import App from './App.vue'

import BootstrapVue from 'bootstrap-vue'
import 'bootstrap/dist/css/bootstrap.css'
import 'bootstrap-vue/dist/bootstrap-vue.css'

import { VBPopover } from 'bootstrap-vue/es/directives'

import { BLink } from 'bootstrap-vue'
Vue.component('b-link', BLink)

import VueRouter from 'vue-router'
// Note: Vue automatically prefixes the directive name with 'v-'
Vue.directive('b-popover', VBPopover)

import SplashPage from './components/SplashPage'
import AboutPage from './components/AboutPage'
import EditorNote from './components/EditorNote'
import leekpilaf from './components/edition1/leekpilaf'
import eggs from './components/edition1/eggs'
import breakfast from './components/edition1/breakfast'
import pesto from './components/edition1/pesto'
import bbq from './components/edition1/bbq'
import cake from './components/edition1/cake'
import cart from './components/edition1/cart'
import noodles from './components/edition1/noodles'
import onion from './components/edition1/onion'
import pretzel from './components/edition1/pretzel'
import recipe from './components/edition1/recipe'
import ricecooker from './components/edition1/ricecooker'
import scooter from './components/edition1/scooter'
import OpenCallPage from './components/OpenCallPage'
import SecondEditionPage from './components/SecondEditionPage'
import EditorNote2 from './components/EditorNote2'
import knife from './components/knife'
import simmered from './components/simmered'
import soulsoup from './components/soulsoup'
import phone from './components/phone'
import whatwecan from './components/whatwecan'
import lychee from './components/lychee'
import anise from './components/anise'


Vue.config.productionTip = false

Vue.use(BootstrapVue)
Vue.use(VueRouter)

const router = new VueRouter({
  mode: 'history',
  routes: [
    { path: '/', component: SecondEditionPage },
    { path: '/about', component: AboutPage },
    { path: '/editornote', component: EditorNote2 },
    { path: '/leekpilaf', component: leekpilaf },
    { path: '/breakfast', component: breakfast },
    { path: '/pesto', component: pesto },
    { path: '/bbq', component: bbq },
    { path: '/cake', component: cake },
    { path: '/cart', component: cart },
    { path: '/noodles', component: noodles },
    { path: '/onion', component: onion },
    { path: '/pretzel', component: pretzel },
    { path: '/recipe', component: recipe },
    { path: '/ricecooker', component: ricecooker },
    { path: '/scooter', component: scooter },
    { path: '/eggs', component: eggs },
    { path: '/opencall', component: OpenCallPage },
    { path: '/secondissue', component: SecondEditionPage },
    { path: '/firstissue', component: SplashPage },
    { path: '/editornote1', component: EditorNote },
    { path: '/knife', component: knife },
    { path: '/simmered', component: simmered },
    { path: '/soulsoup', component: soulsoup },
    { path: '/phone', component: phone },
    { path: '/whatwecan', component: whatwecan },
    { path: '/lychee', component: lychee },
    { path: '/anise', component: anise }

  ]

})

new Vue({
  router,
  render: h => h(App),
}).$mount('#app')
